import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AdDeliveryCityLotTemplate } from '../models/index';
/**
 * @author auto generate
 * @version 1.1
 * @date 2021-06-03 11:06
 */
interface AdDeliveryCityLotTemplateCU extends ConditionUtil<AdDeliveryCityLotTemplateCU> {
    ID: FieldUtil<AdDeliveryCityLotTemplateCU>;
    NAME: FieldUtil<AdDeliveryCityLotTemplateCU>;
    TYPE: FieldUtil<AdDeliveryCityLotTemplateCU>;
    CONTENT: FieldUtil<AdDeliveryCityLotTemplateCU>;
    DEL_FLAG: FieldUtil<AdDeliveryCityLotTemplateCU>;
    CREATE_TIME: FieldUtil<AdDeliveryCityLotTemplateCU>;
    CREATOR: FieldUtil<AdDeliveryCityLotTemplateCU>;
    UPDATE_TIME: FieldUtil<AdDeliveryCityLotTemplateCU>;
    UPDATOR: FieldUtil<AdDeliveryCityLotTemplateCU>;
}
declare class AdDeliveryCityLotTemplateMU extends TableUtilImpl<AdDeliveryCityLotTemplateCU, AdDeliveryCityLotTemplate> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AdDeliveryCityLotTemplateCU;
    static get ID(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    static get NAME(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    static get TYPE(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    static get CONTENT(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    static get DEL_FLAG(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    static get CREATE_TIME(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    static get CREATOR(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    static get UPDATE_TIME(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    static get UPDATOR(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    get ID(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    get NAME(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    get TYPE(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    get CONTENT(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    get DEL_FLAG(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    get CREATE_TIME(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    get CREATOR(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    get UPDATE_TIME(): FieldUtil<AdDeliveryCityLotTemplateCU>;
    get UPDATOR(): FieldUtil<AdDeliveryCityLotTemplateCU>;
}
export { AdDeliveryCityLotTemplateMU, AdDeliveryCityLotTemplateCU };
